function onTalk()
	if not getFlag("PeaceCandle") then
		playSound("event:/env/local/campfire_start")
		setFlag("peacecandling", true)
		wait(0.25)
		setFlag("PeaceCandle", true)
		setFlag("peacecandling", false)
	else
		playSound("event:/env/local/campfire_start")
		setFlag("peacecandling", true)
		wait(0.25)
		setFlag("PeaceCandle", false)
		setFlag("peacecandling", false)
	end
end